Create a User - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a User
POST /v2.0/users
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/users \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"id": "<string>",
"name": "<string>",
"password": "<string>",
"roles": []
}
'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/users"
payload = {
"id": "<string>",
"name": "<string>",
"password": "<string>",
"roles": []
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', name: '<string>', password: '<string>', roles: []})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'name' => '<string>',
'password' => '<string>',
'roles' => []
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/users"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"roles\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Responses
Success Responses:
- 201: User created successfully.
{
"id": "<string>",
"name": "<string>",
"organisation": "<string>",
"roles": [],
"projects": ["<string>"],
"acceptedTOS": true,
"disabled": true,
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
Error Responses:
400: Bad Request
{ "type": "Bad Request", "title": "Bad Request Error", "status": 400, "detail": "Validation failed. Missing payload.", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }401: Unauthorized
403: Forbidden
404: Not Found
405: Method Not Allowed
409: Conflict
413: Payload Too Large
500: Internal Server Error
503: Service Unavailable
504: Gateway Timeout
Authorizations
API Key
- Header
- Required
- Supply the API Key in the HTTP-Header
Headers
- Accept: Specifies media type expected in the response.
- Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv. Default:application/json.
- Available options:
Body
- id: string, required
- name: string, required
- password: string, required (Enter password in case of non-sso user)
- roles: enum
[] (e.g., admin,apiKeys, etc.)